Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234320 - Error at SoftMAC: ASSERTION FAILED (0) at: net/ieee80211/softmac/ieee80211softmac_wx.c
Summary: Error at SoftMAC: ASSERTION FAILED (0) at: net/ieee80211/softmac/ieee80211sof...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 13:57 UTC by kushaldas@gmail.com
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 2.6.20-1.2944.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 23:21:44 UTC


Attachments (Terms of Use)

Description kushaldas@gmail.com 2007-03-28 13:57:27 UTC
Description of problem: Getting this message continously.


Mar 28 19:23:26 kdlappy kernel: printk: 4 messages suppressed.
Mar 28 19:23:26 kdlappy kernel: SoftMAC: ASSERTION FAILED (0) at:
net/ieee80211/softmac/ieee80211softmac_wx.c:306:ieee80211softmac_wx_get_rate()

Version-Release number of selected component (if applicable):
2.6.20-1.2933.fc6

How reproducible:


Steps to Reproduce:
check /var/log/messages  
Actual results:
Same message is being printed, my log is already more than 6MB :(

Expected results:
Error messages should stop

Additional info:

Comment 1 Chuck Ebbert 2007-03-28 14:22:14 UTC
What wireless hardware/driver is in use?


Comment 2 John W. Linville 2007-03-28 15:22:56 UTC
Please try the test kernels here:

   http://people.redhat.com/linville/kernels/fc6/

Do these solve the issue for you?

Comment 4 kushaldas@gmail.com 2007-03-28 15:30:06 UTC
(In reply to comment #1)
> What wireless hardware/driver is in use?
> 
I am having a Broadcom card, which is not activated.
You can get the hardware deatils in smolt , UUID is
a3444c7b-e56b-4899-9e28-799bf1218ba1



Comment 5 kushaldas@gmail.com 2007-03-28 15:58:35 UTC
(In reply to comment #2)
> Please try the test kernels here:
> 
>    http://people.redhat.com/linville/kernels/fc6/
> 
> Do these solve the issue for you?
Its Working :)
2.6.20-1.2933.2.1.fc6.jwltest.30
Issue solved with the the above one


Comment 6 Chuck Ebbert 2007-03-28 16:09:20 UTC
Fix will be in next Fedora update.


Note You need to log in before you can comment on or make changes to this bug.